Social Profile Analysis

Create and stream a Social Profile Analysis job

Create a persisted Social Profile Analysis job and stream typed server-sent events until completion. Use the `X-Job-Id` response header to reconnect a

POST/v1/social-profile-analysis/stream

Requires X-API-Key or Authorization: Bearer with a provisioned API key.

Create a persisted Social Profile Analysis job and stream typed server-sent events until completion. Use the X-Job-Id response header to reconnect at GET /v1/social-profile-analysis/jobs/{job_id}/stream.

Request body

FieldTypeRequiredDescription
analysisTypesarray<AnalysisType>NoAnalysistypes Default: ["match"]
behavioralAnalysisBehavioralAnalysisConfig or nullNo
matchSocialProfileAnalysisMatchConfigYes
subjectSocialProfileAnalysisSubjectYes

Request examples

Known-profile match analysis

Analyze known social profile URLs against natural-language match criteria.

{
  "analysisTypes": [
    "match"
  ],
  "match": {
    "criteria": [
      "fraud",
      "theft",
      "crime"
    ],
    "maxRecords": 25
  },
  "subject": {
    "name": "John Smith",
    "socialMediaUrls": [
      "https://x.com/johnsmith"
    ]
  }
}

Responses

200

Successful Response

422

Validation Error

FieldTypeRequiredDescription
detailarray<ValidationError>NoDetail

OpenAPI

Download the full OpenAPI contract from /openapi.yaml.